package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicRuningMonitoringType {
    public static final String  API= "运行状态监控";
    public static final String MICROAPP = "运行流量监控";
    public static final String USERLOG = "用户日志监控";

    private static DicRuningMonitoringType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRuningMonitoringType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(API, API);
        dicMap.put(MICROAPP, MICROAPP);
        dicMap.put(USERLOG, USERLOG);
    }

    public static DicRuningMonitoringType getInstacne(){
        if (instance == null)
        {
            instance = new DicRuningMonitoringType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
